Subject: bug#11032: 24.0.94; illegible mode-line text (in dark themes?)

From: Richard Copley <[email-masked]>
Date: Sun, 10 Jun 2012 16:58:57 +0100

On 4 June 2012 13:44, Richard Copley <[email-masked]> wrote:
> On 3 June 2012 15:38, Chong Yidong <[email-masked]> wrote:
>> Richard Copley <[email-masked]> writes:
>>
>>> Some faces are illegible if used on the mode-line when the default
>>> background is dark but the mode line background is light. (Or at
>>> least, this can happen in a dark theme.)
>>>
>>> For example (from emacs -Q):
>>>
>>> Set the theme to "tsdh-dark".
>>> M-x compile RET M-n dir RET # "dir" should succeed
>>> C-x o                       # activate *Compilation*
>>
>> Thanks for the bug report.  I have defined some new faces for
>> compilation messages on the mode line, and tweaked the default face
>> attributes and the built-in themes so that these messages are legible on
>> the mode-line.
>
> [Re-sending with the appropriate cc: line, and with apologies to Chong
> Yidong for the duplicate email.]
>
> Thank you. In the tsdh-dark theme, the successful exit status is now
> much more legible on an active mode line. However, it is much less
> legible on an inactive mode line. The rest of the mode line text (in
> grey on grey) is also hard to read. I really think the bug is that the
> wrong light-/dark-background version of the face is chosen, and no
> amount of compromise with face colours will fix that. (Perhaps it
> could be made a convention that a dark-background theme must have a
> dark-background mode-line?)

Sorry, I hadn't pulled new revisions when I thought I had, so I was
not looking at the new faces. The new colours work very nicely. Please
ignore my last comments.